# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mtd/partitions/qcom,smem-part.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm SMEM NAND flash partition parser binding

maintainers:
  - Manivannan Sadhasivam <manivannan.sadhasivam@linaro.org>

description: |
  The Qualcomm SoCs supporting the NAND controller interface features a Shared
  Memory (SMEM) based partition table scheme. The maximum partitions supported
  varies between partition table revisions. V3 supports maximum 16 partitions
  and V4 supports 48 partitions.

properties:
  compatible:
    const: qcom,smem-part

patternProperties:
  "^partition-[0-9a-z]+$":
    $ref: partition.yaml#

required:
  - compatible

additionalProperties: false

examples:
  - |
    flash {
        partitions {
            compatible = "qcom,smem-part";
        };
    };

  - |
    /* Example declaring dynamic partition */
    flash {
      partitions {
        compatible = "qcom,smem-part";

        partition-art {
          compatible = "nvmem-cells";
          #address-cells = <1>;
          #size-cells = <1>;
          label = "0:art";

          macaddr_art_0: macaddr@0 {
            reg = <0x0 0x6>;
          };

          macaddr_art_6: macaddr@6 {
            reg = <0x6 0x6>;
          };
        };
      };
    };
